## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# AttributesImpl Class Reference

`#include <AttributesImpl.hpp>`

Inheritance diagram for AttributesImpl:

[legend]
Collaboration diagram for AttributesImpl:

[legend]
List of all members.

## Public Types

- typedef XalanVector<AttributeVectorEntryExtended*> AttributesVectorType

## Public Methods

- AttributesImpl (MemoryManagerType &theManager XALAN_DEFAULT_MEMMGR)
- virtual ~AttributesImpl ()
- AttributesImpl (const AttributesImpl &theSource, MemoryManagerType &theManager)
- AttributesImpl (const AttributesType &theSource, MemoryManagerType &theManager)
- AttributesImpl& operator= (const AttributesImpl &theRHS)
- AttributesImpl& operator= (const AttributesType &theRHS)
- virtual unsigned int getLength () const
- virtual const XMLCh* getURI (const unsigned int index) const
- virtual const XMLCh* getLocalName (const unsigned int index) const
- virtual const XMLCh* getQName (const unsigned int index) const
- virtual const XMLCh* getType (const unsigned int index) const
- virtual const XMLCh* getValue (const unsigned int index) const
- virtual int getIndex (const XMLCh *const uri, const XMLCh *const localName) const
- virtual int getIndex (const XMLCh *const qname) const
- virtual const XMLCh* getType (const XMLCh *const qname) const
- virtual const XMLCh* getType (const XMLCh *const uri, const XMLCh *const localName) const
- virtual const XMLCh* getValue (const XMLCh *const qname) const
- virtual const XMLCh* getValue (const XMLCh *const uri, const XMLCh *const localName) const
- MemoryManagerType& getMemoryManager ()
- virtual void clear ()
    Remove all attributes from the list. More...
- void addAttribute (const XMLCh *qname, const XMLCh *type, const XMLCh *value)
    Adds an attribute to the attribute list. More...
- void addAttribute (const XMLCh *uri, const XMLCh *localName, const XMLCh *qname, const XMLCh *type, const XMLCh *value)
    Adds an attribute to the attribute list. More...
- virtual bool removeAttribute (const XMLCh *qname)
    Removes an attribute from the attribute list. More...
- void swap (AttributesImpl &theOther)
    Swap the contents of two instances. More...
- void reserve (unsigned int theCount)
    Reserve room for the given number of attributes. More...

## Member Typedef Documentation

typedef XalanVector< AttributeVectorEntryExtended *> AttributesImpl::AttributesVectorType<AttributeVectorEntryExtended*>

## Constructor & Destructor Documentation

AttributesImpl::AttributesImpl ( | MemoryManagerType &theManager XALAN_DEFAULT_MEMMGR )`[explicit]`

AttributesImpl::~AttributesImpl ( | )`[virtual]`

AttributesImpl::AttributesImpl ( | const AttributesImpl & theSource,
| MemoryManagerType & theManager )

AttributesImpl::AttributesImpl ( | const AttributesType & theSource,
| MemoryManagerType & theManager )

## Member Function Documentation

void AttributesImpl::addAttribute ( | const XMLCh * uri,
| const XMLCh * localName,
| const XMLCh * qname,
| const XMLCh * type,
| const XMLCh * value )

Adds an attribute to the attribute list.

Does not check for duplicates.

Parameters:

  uri | attribute namespace URI
  localName | attribute local name
  qname | attribute qname
  type | attribute type, "CDATA," for example
  value | attribute value

void AttributesImpl::addAttribute ( | const XMLCh * qname,
| const XMLCh * type,
| const XMLCh * value )

Adds an attribute to the attribute list.

Does not check for duplicates.

Parameters:

  qname | attribute qname
  type | attribute type, "CDATA," for example
  value | attribute value

void AttributesImpl::clear ( | )`[virtual]`

| Remove all attributes from the list.

int AttributesImpl::getIndex ( | const XMLCh *const qname ) const`[virtual]`

int AttributesImpl::getIndex ( | const XMLCh *const uri,
| const XMLCh *const localName ) const`[virtual]`

unsigned int AttributesImpl::getLength ( | ) const`[virtual]`

const XMLCh * AttributesImpl::getLocalName ( | const unsigned int index ) const`[virtual]`

MemoryManagerType & AttributesImpl::getMemoryManager ( | )

const XMLCh * AttributesImpl::getQName ( | const unsigned int index ) const`[virtual]`

const XMLCh * AttributesImpl::getType ( | const XMLCh *const uri,
| const XMLCh *const localName ) const`[virtual]`

const XMLCh * AttributesImpl::getType ( | const XMLCh *const qname ) const`[virtual]`

const XMLCh * AttributesImpl::getType ( | const unsigned int index ) const`[virtual]`

const XMLCh * AttributesImpl::getURI ( | const unsigned int index ) const`[virtual]`

const XMLCh * AttributesImpl::getValue ( | const XMLCh *const uri,
| const XMLCh *const localName ) const`[virtual]`

const XMLCh * AttributesImpl::getValue ( | const XMLCh *const qname ) const`[virtual]`

const XMLCh * AttributesImpl::getValue ( | const unsigned int index ) const`[virtual]`

AttributesImpl & AttributesImpl::operator= ( | const AttributesType & theRHS )

AttributesImpl & AttributesImpl::operator= ( | const AttributesImpl & theRHS )

bool AttributesImpl::removeAttribute ( | const XMLCh * qname )`[virtual]`

Removes an attribute from the attribute list.

Parameters:

  qname | attribute qname

void AttributesImpl::reserve ( | unsigned int theCount )

Reserve room for the given number of attributes.

Parameters:

  theCount | The number to reserve

void AttributesImpl::swap ( | AttributesImpl & theOther )

Swap the contents of two instances.

This must _never_ throw an exception.

Parameters:

  thOther | The instance with which to swap.

The documentation for this class was generated from the following file:

- AttributesImpl.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.